For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/workflow/automations/post-api-workflow-v1automations-by-automation_id-enroll.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Enroll a contact

POST
/api/workflow/v1/automations/:automation_id/enroll
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { enrollment, enrollmentError } = await reloop.automations.enroll("auto_123456789", {
6 email: "john.doe@example.com",
7 firstName: "John",
8});
9if (enrollmentError) throw enrollmentError;
1{
2 "enrollment": {
3 "id": "enr_123456789",
4 "automationId": "auto_123456789",
5 "contactId": "con_123456789",
6 "contactEmail": "john.doe@example.com",
7 "contactFirstName": "John",
8 "contactLastName": "Doe",
9 "status": "active",
10 "currentNodeId": "start",
11 "enrolledAt": "2026-03-23T10:00:00.000Z",
12 "completedAt": null,
13 "cancelledAt": null
14 },
15 "contactCreated": false,
16 "delayMs": 0
17}

Path Parameters

automation_idstringRequired

Automation ID (auto_...)

  • Minimum length: 1

Body Parameters

contactIdstring

Contact to enroll. Pass this or email.

emailstring

Contact email. Creates the contact if it does not exist yet.

firstNamestring

Used when the contact is created from email

  • Maximum length: 255
lastNamestring

Used when the contact is created from email

  • Maximum length: 255

Was this page helpful?